Save some time installing the GWT Source with this script... (find the prize inside :) )

11 views
Skip to first unread message

Brandon Donnelson

unread,
Oct 30, 2011, 7:27:03 PM10/30/11
to google-we...@googlegroups.com

I made a script to setup the source based on Making GWT Better directions:


#!/bin/sh
# created by Brandon Donnelson
#
# Help with the download and setup of GWT source
#
# http://code.google.com/webtoolkit/makinggwtbetter.html
# http://code.google.com/p/google-web-toolkit/source/browse/trunk/eclipse/README.txt
#

echo
"starting GWT source download and setup..."

# install svn?
hash svn
2>&- || { echo >&2 "Oops, but you need svn. Install svn.  Aborting setup, Exiting."; exit 1; }

# install ant?
hash ant
2>&- || { echo >&2 "Oops, but you need ant. Install ant.  Aborting setup, Exiting."; exit 1; }


# goto home directory - not needed, but useful to show root location
cd
~

# remove gwt working directory
# OPTIONAL
#rm -rf ~/gwt

# make a working directory
mkdir
~/gwt

# go into that ..... 
----->>>>> Find the rest at the link above

Hope it helps,
Brandon Donnelson



Reply all
Reply to author
Forward
0 new messages